"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const handlebars = require("handlebars");
const TEMPLATE = `/**
 * Autogenerated, do not modify
 */
/* tslint:disable */

import { DatabaseDefinition } from "typescript-mysql-model";
export class Definition {
  public static readonly schema: DatabaseDefinition.IDatabaseSchema = {{schema}};

}`;
class DefinitionBuilder {
    constructor(model) {
        this.model = model;
        this.compiledTemplate = handlebars.compile(TEMPLATE, { noEscape: true });
    }
    renderSchema() {
        return this.compiledTemplate({ schema: JSON.stringify(this.model, undefined, 2) });
    }
}
exports.DefinitionBuilder = DefinitionBuilder;
//# sourceMappingURL=definition-builder.js.map