import * as Knex from "knex";
import { ISetting } from "./isetting";
import { IDatabaseSchema } from "./mysql-database-definition";
export declare class TsBuilder {
    static run(knex: Knex, folder: string): Promise<void>;
    private static normFolder;
    private readonly mysqlTypes;
    settings: ISetting;
    private folder;
    private schema;
    constructor(folder: string, schema?: IDatabaseSchema);
    getTypeMap(): Map<string, string>;
    init(knex: Knex, dbName?: string): Promise<TsBuilder>;
    renderDefault(): void;
    private intefaceFullPath;
    private graphQlFullPath;
    private enumsFullPath;
    private enumsQlFullPath;
    private renderTableFile;
    private renderViewFile;
    private renderColumnsFile;
    private renderGraphQlFiles;
    private renderClassFiles;
    private renderViewClassFiles;
    private renderInserter;
    private renderGetter;
    private renderSchemaOperator;
    private renderStoredProcedure;
    private renderAbstractHandler;
    private getMetaText;
    private renderClasses;
    private listTables;
    private listViews;
    private getClassName;
    private getPrefixedClassName;
    private getFilenameEnding;
    private toFilename;
}
